std::__debug::set< _Key, _Compare, _Allocator >(3cxx)

NAME
std::__debug::set< _Key, _Compare, _Allocator > - Class std::set with safety/checking/debug instrumentation.

SYNOPSIS

#include <set>

Inherits __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >.

  Public Types

typedef _Allocator allocator_type
typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, set > const_iterator
typedef _Base::const_pointer const_pointer
typedef _Base::const_reference const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef _Base::difference_type difference_type
typedef __gnu_debug::_Safe_iterator< _Base_iterator, set > iterator
typedef _Compare key_compare
typedef _Key key_type
typedef _Base::pointer pointer
typedef _Base::reference reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef _Base::size_type size_type
typedef _Compare value_compare
typedef _Key value_type

  Public Member Functions

set (_Base_ref __x)
template<typename _InputIterator> set (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
template<typename _InputIterator> set (_InputIterator __first, _InputIterator __last, const allocator_type &__a)
set (const _Compare &__comp, const _Allocator &__a=_Allocator())
set (const allocator_type &__a)
set (const set &)=default
set (const set &__x, const __type_identity_t< allocator_type > &__a)
set (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const allocator_type &__a=allocator_type())
set (initializer_list< value_type > __l, const allocator_type &__a)
set (set &&)=default
set (set &&__x, const __type_identity_t< allocator_type > &__a) noexcept(noexcept(_Base(std::move(__x), __a)))
const _Base & _M_base () const noexcept
_Base & _M_base () noexcept
const_iterator begin () const noexcept
iterator begin () noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
template<typename... _Args> std::pair< iterator, bool > emplace (_Args &&... __args)
template<typename... _Args> iterator emplace_hint (const_iterator __pos, _Args &&... __args)
const_iterator end () const noexcept
iterator end () noexcept
std::pair< iterator, iterator > equal_range (const key_type &__x)
std::pair< const_iterator, const_iterator > equal_range (const key_type &__x) const
_Base_iterator erase (_Base_const_iterator __position)
template<__heterogeneous_tree_key< set > _Kt> size_type erase (_Kt &&__x)
size_type erase (const key_type &__x)
iterator erase (const_iterator __first, const_iterator __last)
iterator erase (const_iterator __position)
iterator find (const key_type &__x)
const_iterator find (const key_type &__x) const
template<typename _InputIterator> void insert (_InputIterator __first, _InputIterator __last)
template<__heterogeneous_tree_key< set > _Kt> std::pair< iterator, bool > insert (_Kt &&__x)
std::pair< iterator, bool > insert (const value_type &__x)
template<__heterogeneous_tree_key< set > _Kt> iterator insert (const_iterator __position, _Kt &&__x)
iterator insert (const_iterator __position, const value_type &__x)
iterator insert (const_iterator __position, value_type &&__x)
void insert (initializer_list< value_type > __l)
std::pair< iterator, bool > insert (value_type &&__x)
iterator lower_bound (const key_type &__x)
const_iterator lower_bound (const key_type &__x) const
set & operator= (const set &)=default
set & operator= (initializer_list< value_type > __l)
set & operator= (set &&)=default
const_reverse_iterator rbegin () const noexcept
reverse_iterator rbegin () noexcept
const_reverse_iterator rend () const noexcept
reverse_iterator rend () noexcept
void swap (set &__x) noexcept(/*conditional */)
iterator upper_bound (const key_type &__x)
const_iterator upper_bound (const key_type &__x) const

  Protected Member Functions

constexpr void _M_swap (const _Safe_container &__x) const noexcept

  Friends

template<typename _ItT, typename _SeqT, typename _CatT> class ::__gnu_debug::_Safe_iterator

Detailed Description

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
class std::__debug::set< _Key, _Compare, _Allocator >"Class std::set with safety/checking/debug instrumentation.

Author

Generated automatically by Doxygen for libstdc++ from the source code.